LocalUSimpleNumberPointer Class Reference

"Smart pointer" class; closes a USimpleNumber via usnum_close(). More...

`#include <usimplenumberformatter.h>`

## Detailed Description

"Smart pointer" class; closes a USimpleNumber via usnum_close().

For most methods see the LocalPointerBase base class.

NOTE: Normally, a USimpleNumber should be adopted by usnumf_formatAndAdoptNumber. If you use LocalUSimpleNumberPointer, call `.orphan()` when passing to that function.

Usage:

    LocalUSimpleNumberPointer uformatter(usnumf_openForInteger(...));
    // no need to explicitly call usnum_close()

See also
  LocalPointerBase
  LocalPointer

Stable:
  ICU 73

The documentation for this class was generated from the following file:

- i18n/unicode/usimplenumberformatter.h